# DICTIONARY DEFINITIONS THESAURUS SYNONYMS DATA

[![dictionary.com-logo.png](dictionary.com-logo.png)](http://www.dictionary.com)
[![thesaurus.com-logo.png](thesaurus.com-logo.png)](http://www.thesaurus.com)

Data scraped with spiders from [dictionary.com](http://www.dictionary.com) and [thesaurus.com](http://www.thesaurus.com)

The data format may change if I have to update the spiders. If you're lucky maybe I will open-source the spiders.

After zipping the data and removing unzipped text.json files so can store in this github repo:

Release `1.0.0` contains only the word index file and the json.zip data files (`no audio`); 
- npm package missing all json.zip files since they are too big.

Release `1.0.1` audio is included!

    $ du -sh .
    5.7G	.
    
    $ du -sh *
    8.0K	README.md
    2.1G	dictionary-data
     22M	dictionary-words.json
     16K	dictionary.com-logo.png
    1.1G	thesaurus-data
     23M	thesaurus-words.json
     16K	thesaurus.com-logo.png

    $ du -sh dictionary-data/2018-03/*
     92K	dictionary-data/2018-03/0.json.zip
    4.7M	dictionary-data/2018-03/a.json.zip
    2.0G	dictionary-data/2018-03/audio
    5.5M	dictionary-data/2018-03/b.json.zip
    7.8M	dictionary-data/2018-03/c.json.zip
    4.1M	dictionary-data/2018-03/d.json.zip
    2.7M	dictionary-data/2018-03/e.json.zip
    3.7M	dictionary-data/2018-03/f.json.zip
    3.3M	dictionary-data/2018-03/g.json.zip
    3.8M	dictionary-data/2018-03/h.json.zip
    3.1M	dictionary-data/2018-03/i.json.zip
    900K	dictionary-data/2018-03/j.json.zip
    1.1M	dictionary-data/2018-03/k.json.zip
    3.2M	dictionary-data/2018-03/l.json.zip
    4.6M	dictionary-data/2018-03/m.json.zip
    2.5M	dictionary-data/2018-03/n.json.zip
    2.8M	dictionary-data/2018-03/o.json.zip
    6.7M	dictionary-data/2018-03/p.json.zip
    432K	dictionary-data/2018-03/q.json.zip
    4.5M	dictionary-data/2018-03/r.json.zip
    9.7M	dictionary-data/2018-03/s.json.zip
    4.4M	dictionary-data/2018-03/t.json.zip
    3.2M	dictionary-data/2018-03/u.json.zip
    1.1M	dictionary-data/2018-03/v.json.zip
    2.7M	dictionary-data/2018-03/w.json.zip
     56K	dictionary-data/2018-03/x.json.zip
    292K	dictionary-data/2018-03/y.json.zip
    216K	dictionary-data/2018-03/z.json.zip

    $ du -sh thesaurus-data/2018-03/*
     36K	thesaurus-data/2018-03/0.json.zip
     18M	thesaurus-data/2018-03/a.json.zip
    618M	thesaurus-data/2018-03/audio
     24M	thesaurus-data/2018-03/b.json.zip
     27M	thesaurus-data/2018-03/c.json.zip
     51M	thesaurus-data/2018-03/d.json.zip
     15M	thesaurus-data/2018-03/e.json.zip
     15M	thesaurus-data/2018-03/f.json.zip
     17M	thesaurus-data/2018-03/g.json.zip
     14M	thesaurus-data/2018-03/h.json.zip
     29M	thesaurus-data/2018-03/i.json.zip
    2.1M	thesaurus-data/2018-03/j.json.zip
    3.1M	thesaurus-data/2018-03/k.json.zip
     12M	thesaurus-data/2018-03/l.json.zip
     53M	thesaurus-data/2018-03/m.json.zip
    5.1M	thesaurus-data/2018-03/n.json.zip
     16M	thesaurus-data/2018-03/o.json.zip
     32M	thesaurus-data/2018-03/p.json.zip
    1.1M	thesaurus-data/2018-03/q.json.zip
     38M	thesaurus-data/2018-03/r.json.zip
     39M	thesaurus-data/2018-03/s.json.zip
     20M	thesaurus-data/2018-03/t.json.zip
     33M	thesaurus-data/2018-03/u.json.zip
    2.6M	thesaurus-data/2018-03/v.json.zip
     16M	thesaurus-data/2018-03/w.json.zip
    196K	thesaurus-data/2018-03/x.json.zip
    516K	thesaurus-data/2018-03/y.json.zip
    356K	thesaurus-data/2018-03/z.json.zip
    
Before zipping the data:

    $ du -sh .
    11G	.
    
    $ du -sh *
    4.0K	README.md
    2.5G	dictionary-data
     22M	dictionary-words.json
     16K	dictionary.com-logo.png
    6.5G	thesaurus-data
     23M	thesaurus-words.json
     16K	thesaurus.com-logo.png
    
    $ du -sh dictionary-data/2018-03/*
    648K	dictionary-data/2018-03/0.json
     27M	dictionary-data/2018-03/a.json
    2.0G	dictionary-data/2018-03/audio
     30M	dictionary-data/2018-03/b.json
     44M	dictionary-data/2018-03/c.json
     24M	dictionary-data/2018-03/d.json
     16M	dictionary-data/2018-03/e.json
     20M	dictionary-data/2018-03/f.json
     18M	dictionary-data/2018-03/g.json
     21M	dictionary-data/2018-03/h.json
     17M	dictionary-data/2018-03/i.json
    4.8M	dictionary-data/2018-03/j.json
    6.1M	dictionary-data/2018-03/k.json
     18M	dictionary-data/2018-03/l.json
     26M	dictionary-data/2018-03/m.json
     14M	dictionary-data/2018-03/n.json
     14M	dictionary-data/2018-03/o.json
     38M	dictionary-data/2018-03/p.json
    2.4M	dictionary-data/2018-03/q.json
     25M	dictionary-data/2018-03/r.json
     55M	dictionary-data/2018-03/s.json
     24M	dictionary-data/2018-03/t.json
     17M	dictionary-data/2018-03/u.json
    6.4M	dictionary-data/2018-03/v.json
     15M	dictionary-data/2018-03/w.json
    320K	dictionary-data/2018-03/x.json
    1.5M	dictionary-data/2018-03/y.json
    1.2M	dictionary-data/2018-03/z.json
    
    $ du -sh thesaurus-data/2018-03/*
    612K	thesaurus-data/2018-03/0.json
    213M	thesaurus-data/2018-03/a.json
    618M	thesaurus-data/2018-03/audio
    289M	thesaurus-data/2018-03/b.json
    333M	thesaurus-data/2018-03/c.json
    643M	thesaurus-data/2018-03/d.json
    179M	thesaurus-data/2018-03/e.json
    187M	thesaurus-data/2018-03/f.json
    207M	thesaurus-data/2018-03/g.json
    178M	thesaurus-data/2018-03/h.json
    380M	thesaurus-data/2018-03/i.json
     27M	thesaurus-data/2018-03/j.json
     37M	thesaurus-data/2018-03/k.json
    146M	thesaurus-data/2018-03/l.json
    684M	thesaurus-data/2018-03/m.json
     67M	thesaurus-data/2018-03/n.json
    200M	thesaurus-data/2018-03/o.json
    388M	thesaurus-data/2018-03/p.json
     14M	thesaurus-data/2018-03/q.json
    474M	thesaurus-data/2018-03/r.json
    479M	thesaurus-data/2018-03/s.json
    244M	thesaurus-data/2018-03/t.json
    443M	thesaurus-data/2018-03/u.json
     33M	thesaurus-data/2018-03/v.json
    197M	thesaurus-data/2018-03/w.json
    2.9M	thesaurus-data/2018-03/x.json
    6.9M	thesaurus-data/2018-03/y.json
    4.5M	thesaurus-data/2018-03/z.json

Audio available in release `1.0.1`:

    $ du -sh dictionary-data/2018-03/audio/*
    1.2M	dictionary-data/2018-03/audio/0
    154M	dictionary-data/2018-03/audio/a
    129M	dictionary-data/2018-03/audio/b
    192M	dictionary-data/2018-03/audio/c
    113M	dictionary-data/2018-03/audio/d
     84M	dictionary-data/2018-03/audio/e
     82M	dictionary-data/2018-03/audio/f
     76M	dictionary-data/2018-03/audio/g
     95M	dictionary-data/2018-03/audio/h
     74M	dictionary-data/2018-03/audio/i
     23M	dictionary-data/2018-03/audio/j
     38M	dictionary-data/2018-03/audio/k
     78M	dictionary-data/2018-03/audio/l
    126M	dictionary-data/2018-03/audio/m
     51M	dictionary-data/2018-03/audio/n
     49M	dictionary-data/2018-03/audio/o
    163M	dictionary-data/2018-03/audio/p
    9.8M	dictionary-data/2018-03/audio/q
     74M	dictionary-data/2018-03/audio/r
    210M	dictionary-data/2018-03/audio/s
    104M	dictionary-data/2018-03/audio/t
     46M	dictionary-data/2018-03/audio/u
     35M	dictionary-data/2018-03/audio/v
     48M	dictionary-data/2018-03/audio/w
    2.5M	dictionary-data/2018-03/audio/x
    8.9M	dictionary-data/2018-03/audio/y
    8.8M	dictionary-data/2018-03/audio/z
    
    $ du -sh thesaurus-data/2018-03/audio/*
    152K	thesaurus-data/2018-03/audio/0
     42M	thesaurus-data/2018-03/audio/a
     33M	thesaurus-data/2018-03/audio/b
     59M	thesaurus-data/2018-03/audio/c
     41M	thesaurus-data/2018-03/audio/d
     28M	thesaurus-data/2018-03/audio/e
     27M	thesaurus-data/2018-03/audio/f
     19M	thesaurus-data/2018-03/audio/g
     23M	thesaurus-data/2018-03/audio/h
     33M	thesaurus-data/2018-03/audio/i
    5.0M	thesaurus-data/2018-03/audio/j
    4.0M	thesaurus-data/2018-03/audio/k
     19M	thesaurus-data/2018-03/audio/l
     32M	thesaurus-data/2018-03/audio/m
     13M	thesaurus-data/2018-03/audio/n
     17M	thesaurus-data/2018-03/audio/o
     47M	thesaurus-data/2018-03/audio/p
    3.2M	thesaurus-data/2018-03/audio/q
     30M	thesaurus-data/2018-03/audio/r
     69M	thesaurus-data/2018-03/audio/s
     28M	thesaurus-data/2018-03/audio/t
     17M	thesaurus-data/2018-03/audio/u
     10M	thesaurus-data/2018-03/audio/v
     15M	thesaurus-data/2018-03/audio/w
    392K	thesaurus-data/2018-03/audio/x
    1.5M	thesaurus-data/2018-03/audio/y
    892K	thesaurus-data/2018-03/audio/z
